<template>
  <div id="switch-lang" class="flex items-center justify-center mx-2">
    <label class="switch">
      <input
        type="checkbox"
        id="togBtn"
        v-model="lang"
        value="EN"
        @click="changeLang"
      />
      <div
        class="
          flex
          text-sm
          font-semibold
          slider
          round
          text-black-100
          lg:text-base
        "
        style="background: #f0f0f0"
      >
        <p class="flex items-center justify-center flex-1">EN</p>
        <p class="flex items-center justify-center flex-1">TH</p>
      </div>
    </label>
  </div>
</template>

<script>
export default {
  data() {
    return {
      lang: [],
    }
  },
  methods: {
    changeLang() {
      if (this.lang[0]) {
        this.$router.push(this.switchLocalePath("en"))
      } else {
        this.$router.push(this.switchLocalePath("th"))
      }
    },
  },
}
</script>

<style lang="scss" scoped>
.switch {
  position: relative;
  display: inline-block;
  width: 70px;
  height: 40px;
  @media screen and (max-width: 1025px) {
    width: 55px;
    height: 30px;
  }
}

.switch input {
  display: none;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  -webkit-transition: 0.4s;
  transition: 0.4s;
  border-radius: 8px;
}

.slider:before {
  position: absolute;
  content: "";
  height: 32px;
  width: 29px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
  border-radius: 8px;
  @media screen and (max-width: 1025px) {
    height: 22px;
    width: 22px;
    border-radius: 4px;
  }
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(33px);
  @media screen and (max-width: 1025px) {
    transform: translateX(25px);
  }
}

/*------ ADDED CSS ---------*/
.slider:after {
  color: white;
  display: block;
  position: absolute;
  transform: translate(0, -50%);
  top: 50%;
  left: 20%;
  font-size: 10px;
}

input:checked + .slider:before {
  content: "TH";
  display: flex;
  justify-content: center;
  align-items: center;
  color: #0b41c1;
}

input + .slider:before {
  content: "EN";
  display: flex;
  justify-content: center;
  align-items: center;
  color: #0b41c1;
}

/*--------- END --------*/
</style>
